{ pkgs, config, ... }:

{
  home.packages = with pkgs; [
    picom
  ];
  services.picom = {
    enable = true;
    backend = "xrender";
    vSync = true;
    fade = true;
    fadeDelta = 8;
    fadeSteps = [ 0.04 0.04 ];
  };
}
